> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses email accounts historical sync



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/email-accounts/{id}/historical-sync
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/email-accounts/{id}/historical-sync:
    post:
      tags:
        - BusinessEmailAccounts
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailsHistoricalSyncRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/EmailsHistoricalSyncRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/EmailsHistoricalSyncRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    EmailsHistoricalSyncRequest:
      type: object
      properties:
        fromDate:
          type: string
          format: date-time
          nullable: true
        toDate:
          type: string
          format: date-time
          nullable: true
        presetPeriod:
          type: string
          nullable: true
      additionalProperties: false

````